#include <iostream>
#include <algorithm>
#include <vector>

using namespace std;

int main() {
  // Wczytujemy dane -- liczby N, M, długości programów i wielkości płyt.
  int N, M;

  cin >> N;
  vector<int> programy(N);
  for(int i=0; i<N; i++) cin >> programy[i];

  cin >> M;
  vector<int> plyty(M);
  for(int i=0; i<M; i++) cin >> plyty[i];

  // Sortowanie
  sort(programy.begin(),programy.end());
  sort(plyty.begin(),plyty.end());

  // Właściwa pętla algorytmu
  int i = 0, j = 0, nagrane = 0;

  while (i<N and j<M)  {  // działamy, aż skończą nam się płyty albo programy
    if (programy[i]>plyty[j])  // jeśli i-ty program nie wchodzi na j-tą płytę
      j++;                     // zapominamy o płycie numer j
    else {                     // ale jeśli wchodzi...
      nagrane++;               // ...to nagrywamy i-ty program na j-tą płytę
      i++;                     // zapominamy o i-tym programie...
      j++;                     // ...oraz o j-tej płycie
    }
  }

  cout << nagrane << endl;

}
